- Qt 6.10
- Qt Qml
- C++ Classes
- QQmlFileSelector
- Qt 6.10.2 Reference Documentation

# Obsolete Members for QQmlFileSelector

The following members of class QQmlFileSelector are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(deprecated in 6.0)` QQmlFileSelector * | get(QQmlEngine *engine)

## Member Function Documentation

### `[static, deprecated in 6.0]` QQmlFileSelector *QQmlFileSelector::get(QQmlEngine *engine)

This function is deprecated since 6.0. We strongly advise against using it in new code.

The file selector should not be accessed after it is set. It may be in use. See below for further details.

Gets the QQmlFileSelector currently active on the target engine.

This method is deprecated. You should not retrieve the files selector from an engine after setting it. It may be in use.

If the engine passed here is a QQmlApplicationEngine that hasn't loaded any QML files, yet, it will be initialized. Any later calls to QQmlApplicationEngine::setExtraFileSelectors() will have no effect.

See also QQmlApplicationEngine.